Package kiyut.sketsa.util

## Class ColorConvertion

- java.lang.Object
- - kiyut.sketsa.util.ColorConvertion

-     public class ColorConvertion
      extends Object

  Utility class for translating color between SVG to AWT `Color` and vice versa
  Author:
    KIYUT

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Color` | `ALICEBLUE_COLOR` |
    `static Color` | `ANTIQUEWHITE_COLOR` |
    `static Color` | `AQUA_COLOR` |
    `static Color` | `AQUAMARINE_COLOR` |
    `static Color` | `AZURE_COLOR` |
    `static Color` | `BEIGE_COLOR` |
    `static Color` | `BISQUE_COLOR` |
    `static Color` | `BLACK_COLOR` |
    `static Color` | `BLANCHEDALMOND_COLOR` |
    `static Color` | `BLUE_COLOR` |
    `static Color` | `BLUE_VIOLET_COLOR` |
    `static Color` | `BROWN_COLOR` |
    `static Color` | `BURLYWOOD_COLOR` |
    `static Color` | `CADETBLUE_COLOR` |
    `static Color` | `CHARTREUSE_COLOR` |
    `static Color` | `CHOCOLATE_COLOR` |
    `static Color` | `CORAL_COLOR` |
    `static Color` | `CORNFLOWERBLUE_COLOR` |
    `static Color` | `CORNSILK_COLOR` |
    `static Color` | `CRIMSON_COLOR` |
    `static Color` | `CYAN_COLOR` |
    `static Color` | `DARKBLUE_COLOR` |
    `static Color` | `DARKCYAN_COLOR` |
    `static Color` | `DARKGOLDEN_ROD_COLOR` |
    `static Color` | `DARKGRAY_COLOR` |
    `static Color` | `DARKGREEN_COLOR` |
    `static Color` | `DARKGREY_COLOR` |
    `static Color` | `DARKKHAKI_COLOR` |
    `static Color` | `DARKMAGENTA_COLOR` |
    `static Color` | `DARKOLIVEGREEN_COLOR` |
    `static Color` | `DARKORANGE_COLOR` |
    `static Color` | `DARKORCHID_COLOR` |
    `static Color` | `DARKRED_COLOR` |
    `static Color` | `DARKSALMON_COLOR` |
    `static Color` | `DARKSEAGREEN_COLOR` |
    `static Color` | `DARKSLATEBLUE_COLOR` |
    `static Color` | `DARKSLATEGRAY_COLOR` |
    `static Color` | `DARKSLATEGREY_COLOR` |
    `static Color` | `DARKTURQUOISE_COLOR` |
    `static Color` | `DARKVIOLET_COLOR` |
    `static Color` | `DEEPPINK_COLOR` |
    `static Color` | `DEEPSKYBLUE_COLOR` |
    `static Color` | `DIMGRAY_COLOR` |
    `static Color` | `DIMGREY_COLOR` |
    `static Color` | `DODGERBLUE_COLOR` |
    `static Color` | `FIREBRICK_COLOR` |
    `static Color` | `FLORALWHITE_COLOR` |
    `static Color` | `FORESTGREEN_COLOR` |
    `static Color` | `FUCHSIA_COLOR` |
    `static Color` | `GAINSBORO_COLOR` |
    `static Color` | `GHOSTWHITE_COLOR` |
    `static Color` | `GOLD_COLOR` |
    `static Color` | `GOLDENROD_COLOR` |
    `static Color` | `GRAY_COLOR` |
    `static Color` | `GREEN_COLOR` |
    `static Color` | `GREENYELLOW_COLOR` |
    `static Color` | `GREY_COLOR` |
    `static Color` | `HONEYDEW_COLOR` |
    `static Color` | `HOTPINK_COLOR` |
    `static Color` | `INDIANRED_COLOR` |
    `static Color` | `INDIGO_COLOR` |
    `static Color` | `IVORY_COLOR` |
    `protected static Map<String,​Color>` | `KEYWORD_MAP` |
    `static Color` | `KHAKI_COLOR` |
    `static Color` | `LAVENDER_COLOR` |
    `static Color` | `LAVENDERBLUSH_COLOR` |
    `static Color` | `LAWNGREEN_COLOR` |
    `static Color` | `LEMONCHIFFON_COLOR` |
    `static Color` | `LIGHTBLUE_COLOR` |
    `static Color` | `LIGHTCORAL_COLOR` |
    `static Color` | `LIGHTCYAN_COLOR` |
    `static Color` | `LIGHTGOLDENRODYELLOW_COLOR` |
    `static Color` | `LIGHTGRAY_COLOR` |
    `static Color` | `LIGHTGREEN_COLOR` |
    `static Color` | `LIGHTGREY_COLOR` |
    `static Color` | `LIGHTPINK_COLOR` |
    `static Color` | `LIGHTSALMON_COLOR` |
    `static Color` | `LIGHTSEAGREEN_COLOR` |
    `static Color` | `LIGHTSKYBLUE_COLOR` |
    `static Color` | `LIGHTSLATEGRAY_COLOR` |
    `static Color` | `LIGHTSLATEGREY_COLOR` |
    `static Color` | `LIGHTSTEELBLUE_COLOR` |
    `static Color` | `LIGHTYELLOW_COLOR` |
    `static Color` | `LIME_COLOR` |
    `static Color` | `LIMEGREEN_COLOR` |
    `static Color` | `LINEN_COLOR` |
    `static Color` | `MAGENTA_COLOR` |
    `static Color` | `MAROON_COLOR` |
    `static Color` | `MEDIUMAQUAMARINE_COLOR` |
    `static Color` | `MEDIUMBLUE_COLOR` |
    `static Color` | `MEDIUMORCHID_COLOR` |
    `static Color` | `MEDIUMPURPLE_COLOR` |
    `static Color` | `MEDIUMSEAGREEN_COLOR` |
    `static Color` | `MEDIUMSLATEBLUE_COLOR` |
    `static Color` | `MEDIUMSPRINGGREEN_COLOR` |
    `static Color` | `MEDIUMTURQUOISE_COLOR` |
    `static Color` | `MEDIUMVIOLETRED_COLOR` |
    `static Color` | `MIDNIGHTBLUE_COLOR` |
    `static Color` | `MINTCREAM_COLOR` |
    `static Color` | `MISTYROSE_COLOR` |
    `static Color` | `MOCCASIN_COLOR` |
    `static Color` | `NAVAJOWHITE_COLOR` |
    `static Color` | `NAVY_COLOR` |
    `static Color` | `OLDLACE_COLOR` |
    `static Color` | `OLIVE_COLOR` |
    `static Color` | `OLIVEDRAB_COLOR` |
    `static Color` | `ORANGE_COLOR` |
    `static Color` | `ORANGERED_COLOR` |
    `static Color` | `ORCHID_COLOR` |
    `static Color` | `PALEGOLDENROD_COLOR` |
    `static Color` | `PALEGREEN_COLOR` |
    `static Color` | `PALETURQUOISE_COLOR` |
    `static Color` | `PALEVIOLETRED_COLOR` |
    `static Color` | `PAPAYAWHIP_COLOR` |
    `static Color` | `PEACHPUFF_COLOR` |
    `static Color` | `PERU_COLOR` |
    `static Color` | `PINK_COLOR` |
    `static Color` | `PLUM_COLOR` |
    `static Color` | `POWDERBLUE_COLOR` |
    `static Color` | `PURPLE_COLOR` |
    `static Color` | `RED_COLOR` |
    `static Color` | `ROSYBROWN_COLOR` |
    `static Color` | `ROYALBLUE_COLOR` |
    `static Color` | `SADDLEBROWN_COLOR` |
    `static Color` | `SALMON_COLOR` |
    `static Color` | `SANDYBROWN_COLOR` |
    `static Color` | `SEAGREEN_COLOR` |
    `static Color` | `SEASHELL_COLOR` |
    `static Color` | `SIENNA_COLOR` |
    `static Color` | `SILVER_COLOR` |
    `static Color` | `SKYBLUE_COLOR` |
    `static Color` | `SLATEBLUE_COLOR` |
    `static Color` | `SLATEGRAY_COLOR` |
    `static Color` | `SLATEGREY_COLOR` |
    `static Color` | `SNOW_COLOR` |
    `static Color` | `SPRINGGREEN_COLOR` |
    `static Color` | `STEELBLUE_COLOR` |
    `static String` | `SVG_ALICEBLUE_VALUE` |
    `static String` | `SVG_ANTIQUEWHITE_VALUE` |
    `static String` | `SVG_AQUA_VALUE` |
    `static String` | `SVG_AQUAMARINE_VALUE` |
    `static String` | `SVG_AZURE_VALUE` |
    `static String` | `SVG_BEIGE_VALUE` |
    `static String` | `SVG_BISQUE_VALUE` |
    `static String` | `SVG_BLACK_VALUE` |
    `static String` | `SVG_BLANCHEDALMOND_VALUE` |
    `static String` | `SVG_BLUE_VALUE` |
    `static String` | `SVG_BLUE_VIOLET_VALUE` |
    `static String` | `SVG_BROWN_VALUE` |
    `static String` | `SVG_BURLYWOOD_VALUE` |
    `static String` | `SVG_CADETBLUE_VALUE` |
    `static String` | `SVG_CHARTREUSE_VALUE` |
    `static String` | `SVG_CHOCOLATE_VALUE` |
    `static String` | `SVG_CORAL_VALUE` |
    `static String` | `SVG_CORNFLOWERBLUE_VALUE` |
    `static String` | `SVG_CORNSILK_VALUE` |
    `static String` | `SVG_CRIMSON_VALUE` |
    `static String` | `SVG_CYAN_VALUE` |
    `static String` | `SVG_DARKBLUE_VALUE` |
    `static String` | `SVG_DARKCYAN_VALUE` |
    `static String` | `SVG_DARKGOLDEN_ROD_VALUE` |
    `static String` | `SVG_DARKGRAY_VALUE` |
    `static String` | `SVG_DARKGREEN_VALUE` |
    `static String` | `SVG_DARKGREY_VALUE` |
    `static String` | `SVG_DARKKHAKI_VALUE` |
    `static String` | `SVG_DARKMAGENTA_VALUE` |
    `static String` | `SVG_DARKOLIVEGREEN_VALUE` |
    `static String` | `SVG_DARKORANGE_VALUE` |
    `static String` | `SVG_DARKORCHID_VALUE` |
    `static String` | `SVG_DARKRED_VALUE` |
    `static String` | `SVG_DARKSALMON_VALUE` |
    `static String` | `SVG_DARKSEAGREEN_VALUE` |
    `static String` | `SVG_DARKSLATEBLUE_VALUE` |
    `static String` | `SVG_DARKSLATEGRAY_VALUE` |
    `static String` | `SVG_DARKSLATEGREY_VALUE` |
    `static String` | `SVG_DARKTURQUOISE_VALUE` |
    `static String` | `SVG_DARKVIOLET_VALUE` |
    `static String` | `SVG_DEEPPINK_VALUE` |
    `static String` | `SVG_DEEPSKYBLUE_VALUE` |
    `static String` | `SVG_DIMGRAY_VALUE` |
    `static String` | `SVG_DIMGREY_VALUE` |
    `static String` | `SVG_DODGERBLUE_VALUE` |
    `static String` | `SVG_FIREBRICK_VALUE` |
    `static String` | `SVG_FLORALWHITE_VALUE` |
    `static String` | `SVG_FORESTGREEN_VALUE` |
    `static String` | `SVG_FUCHSIA_VALUE` |
    `static String` | `SVG_GAINSBORO_VALUE` |
    `static String` | `SVG_GHOSTWHITE_VALUE` |
    `static String` | `SVG_GOLD_VALUE` |
    `static String` | `SVG_GOLDENROD_VALUE` |
    `static String` | `SVG_GRAY_VALUE` |
    `static String` | `SVG_GREEN_VALUE` |
    `static String` | `SVG_GREENYELLOW_VALUE` |
    `static String` | `SVG_GREY_VALUE` |
    `static String` | `SVG_HONEYDEW_VALUE` |
    `static String` | `SVG_HOTPINK_VALUE` |
    `static String` | `SVG_INDIANRED_VALUE` |
    `static String` | `SVG_INDIGO_VALUE` |
    `static String` | `SVG_IVORY_VALUE` |
    `static String` | `SVG_KHAKI_VALUE` |
    `static String` | `SVG_LAVENDER_VALUE` |
    `static String` | `SVG_LAVENDERBLUSH_VALUE` |
    `static String` | `SVG_LAWNGREEN_VALUE` |
    `static String` | `SVG_LEMONCHIFFON_VALUE` |
    `static String` | `SVG_LIGHTBLUE_VALUE` |
    `static String` | `SVG_LIGHTCORAL_VALUE` |
    `static String` | `SVG_LIGHTCYAN_VALUE` |
    `static String` | `SVG_LIGHTGOLDENRODYELLOW_VALUE` |
    `static String` | `SVG_LIGHTGRAY_VALUE` |
    `static String` | `SVG_LIGHTGREEN_VALUE` |
    `static String` | `SVG_LIGHTGREY_VALUE` |
    `static String` | `SVG_LIGHTPINK_VALUE` |
    `static String` | `SVG_LIGHTSALMON_VALUE` |
    `static String` | `SVG_LIGHTSEAGREEN_VALUE` |
    `static String` | `SVG_LIGHTSKYBLUE_VALUE` |
    `static String` | `SVG_LIGHTSLATEGRAY_VALUE` |
    `static String` | `SVG_LIGHTSLATEGREY_VALUE` |
    `static String` | `SVG_LIGHTSTEELBLUE_VALUE` |
    `static String` | `SVG_LIGHTYELLOW_VALUE` |
    `static String` | `SVG_LIME_VALUE` |
    `static String` | `SVG_LIMEGREEN_VALUE` |
    `static String` | `SVG_LINEN_VALUE` |
    `static String` | `SVG_MAGENTA_VALUE` |
    `static String` | `SVG_MAROON_VALUE` |
    `static String` | `SVG_MEDIUMAQUAMARINE_VALUE` |
    `static String` | `SVG_MEDIUMBLUE_VALUE` |
    `static String` | `SVG_MEDIUMORCHID_VALUE` |
    `static String` | `SVG_MEDIUMPURPLE_VALUE` |
    `static String` | `SVG_MEDIUMSEAGREEN_VALUE` |
    `static String` | `SVG_MEDIUMSLATEBLUE_VALUE` |
    `static String` | `SVG_MEDIUMSPRINGGREEN_VALUE` |
    `static String` | `SVG_MEDIUMTURQUOISE_VALUE` |
    `static String` | `SVG_MEDIUMVIOLETRED_VALUE` |
    `static String` | `SVG_MIDNIGHTBLUE_VALUE` |
    `static String` | `SVG_MINTCREAM_VALUE` |
    `static String` | `SVG_MISTYROSE_VALUE` |
    `static String` | `SVG_MOCCASIN_VALUE` |
    `static String` | `SVG_NAVAJOWHITE_VALUE` |
    `static String` | `SVG_NAVY_VALUE` |
    `static String` | `SVG_OLDLACE_VALUE` |
    `static String` | `SVG_OLIVE_VALUE` |
    `static String` | `SVG_OLIVEDRAB_VALUE` |
    `static String` | `SVG_ORANGE_VALUE` |
    `static String` | `SVG_ORANGERED_VALUE` |
    `static String` | `SVG_ORCHID_VALUE` |
    `static String` | `SVG_PALEGOLDENROD_VALUE` |
    `static String` | `SVG_PALEGREEN_VALUE` |
    `static String` | `SVG_PALETURQUOISE_VALUE` |
    `static String` | `SVG_PALEVIOLETRED_VALUE` |
    `static String` | `SVG_PAPAYAWHIP_VALUE` |
    `static String` | `SVG_PEACHPUFF_VALUE` |
    `static String` | `SVG_PERU_VALUE` |
    `static String` | `SVG_PINK_VALUE` |
    `static String` | `SVG_PLUM_VALUE` |
    `static String` | `SVG_POWDERBLUE_VALUE` |
    `static String` | `SVG_PURPLE_VALUE` |
    `static String` | `SVG_RED_VALUE` |
    `static String` | `SVG_ROSYBROWN_VALUE` |
    `static String` | `SVG_ROYALBLUE_VALUE` |
    `static String` | `SVG_SADDLEBROWN_VALUE` |
    `static String` | `SVG_SALMON_VALUE` |
    `static String` | `SVG_SANDYBROWN_VALUE` |
    `static String` | `SVG_SEAGREEN_VALUE` |
    `static String` | `SVG_SEASHELL_VALUE` |
    `static String` | `SVG_SIENNA_VALUE` |
    `static String` | `SVG_SILVER_VALUE` |
    `static String` | `SVG_SKYBLUE_VALUE` |
    `static String` | `SVG_SLATEBLUE_VALUE` |
    `static String` | `SVG_SLATEGRAY_VALUE` |
    `static String` | `SVG_SLATEGREY_VALUE` |
    `static String` | `SVG_SNOW_VALUE` |
    `static String` | `SVG_SPRINGGREEN_VALUE` |
    `static String` | `SVG_STEELBLUE_VALUE` |
    `static String` | `SVG_TAN_VALUE` |
    `static String` | `SVG_TEAL_VALUE` |
    `static String` | `SVG_THISTLE_VALUE` |
    `static String` | `SVG_TOMATO_VALUE` |
    `static String` | `SVG_TURQUOISE_VALUE` |
    `static String` | `SVG_VIOLET_VALUE` |
    `static String` | `SVG_WHEAT_VALUE` |
    `static String` | `SVG_WHITE_VALUE` |
    `static String` | `SVG_WHITESMOKE_VALUE` |
    `static String` | `SVG_YELLOW_VALUE` |
    `static String` | `SVG_YELLOWGREEN_VALUE` |
    `static Color` | `TAN_COLOR` |
    `static Color` | `TEAL_COLOR` |
    `static Color` | `THISTLE_COLOR` |
    `static Color` | `TOMATO_COLOR` |
    `static Color` | `TURQUOISE_COLOR` |
    `static Color` | `VIOLET_COLOR` |
    `static Color` | `WHEAT_COLOR` |
    `static Color` | `WHITE_COLOR` |
    `static Color` | `WHITESMOKE_COLOR` |
    `static Color` | `YELLOW_COLOR` |
    `static Color` | `YELLOWGREEN_COLOR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColorConvertion()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `colorToString​(Color color, boolean hexFormat)` | Return the equivalent svg color String of the supplied AWT color
    `static Color` | `getColor​(String colorKeyword)` | Return the equivalent AWT `Color` of the supplied SVG color keyword
    `static Color` | `getColor​(org.w3c.dom.svg.SVGColor svgColor)` | Return the equivalent AWT Color of the supplied SVGColor
    `static Color` | `hexStringToColor​(String hexString)` | Return the equivalent AWT`Color` of the supplied hexString in format eg #FF33D2
    `static String` | `toHexString​(Color color)` | Return the hex string for the supplied`Color`
    `static String` | `toSVGString​(Color color, boolean hexFormat)` | Deprecated. replaced by `colorToString(Color,boolean)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SVG_ALICEBLUE_VALUE

          public static final String SVG_ALICEBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_ANTIQUEWHITE_VALUE

          public static final String SVG_ANTIQUEWHITE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_AQUA_VALUE

          public static final String SVG_AQUA_VALUE

      See Also:
        Constant Field Values

    - #### SVG_AQUAMARINE_VALUE

          public static final String SVG_AQUAMARINE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_AZURE_VALUE

          public static final String SVG_AZURE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_BEIGE_VALUE

          public static final String SVG_BEIGE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_BISQUE_VALUE

          public static final String SVG_BISQUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_BLACK_VALUE

          public static final String SVG_BLACK_VALUE

      See Also:
        Constant Field Values

    - #### SVG_BLANCHEDALMOND_VALUE

          public static final String SVG_BLANCHEDALMOND_VALUE

      See Also:
        Constant Field Values

    - #### SVG_BLUE_VALUE

          public static final String SVG_BLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_BLUE_VIOLET_VALUE

          public static final String SVG_BLUE_VIOLET_VALUE

      See Also:
        Constant Field Values

    - #### SVG_BROWN_VALUE

          public static final String SVG_BROWN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_BURLYWOOD_VALUE

          public static final String SVG_BURLYWOOD_VALUE

      See Also:
        Constant Field Values

    - #### SVG_CADETBLUE_VALUE

          public static final String SVG_CADETBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_CHARTREUSE_VALUE

          public static final String SVG_CHARTREUSE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_CHOCOLATE_VALUE

          public static final String SVG_CHOCOLATE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_CORAL_VALUE

          public static final String SVG_CORAL_VALUE

      See Also:
        Constant Field Values

    - #### SVG_CORNFLOWERBLUE_VALUE

          public static final String SVG_CORNFLOWERBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_CORNSILK_VALUE

          public static final String SVG_CORNSILK_VALUE

      See Also:
        Constant Field Values

    - #### SVG_CRIMSON_VALUE

          public static final String SVG_CRIMSON_VALUE

      See Also:
        Constant Field Values

    - #### SVG_CYAN_VALUE

          public static final String SVG_CYAN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKBLUE_VALUE

          public static final String SVG_DARKBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKCYAN_VALUE

          public static final String SVG_DARKCYAN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKGOLDEN_ROD_VALUE

          public static final String SVG_DARKGOLDEN_ROD_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKGRAY_VALUE

          public static final String SVG_DARKGRAY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKGREEN_VALUE

          public static final String SVG_DARKGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKGREY_VALUE

          public static final String SVG_DARKGREY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKKHAKI_VALUE

          public static final String SVG_DARKKHAKI_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKMAGENTA_VALUE

          public static final String SVG_DARKMAGENTA_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKOLIVEGREEN_VALUE

          public static final String SVG_DARKOLIVEGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKORANGE_VALUE

          public static final String SVG_DARKORANGE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKORCHID_VALUE

          public static final String SVG_DARKORCHID_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKRED_VALUE

          public static final String SVG_DARKRED_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKSALMON_VALUE

          public static final String SVG_DARKSALMON_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKSEAGREEN_VALUE

          public static final String SVG_DARKSEAGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKSLATEBLUE_VALUE

          public static final String SVG_DARKSLATEBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKSLATEGRAY_VALUE

          public static final String SVG_DARKSLATEGRAY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKSLATEGREY_VALUE

          public static final String SVG_DARKSLATEGREY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKTURQUOISE_VALUE

          public static final String SVG_DARKTURQUOISE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DARKVIOLET_VALUE

          public static final String SVG_DARKVIOLET_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DEEPPINK_VALUE

          public static final String SVG_DEEPPINK_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DEEPSKYBLUE_VALUE

          public static final String SVG_DEEPSKYBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DIMGRAY_VALUE

          public static final String SVG_DIMGRAY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DIMGREY_VALUE

          public static final String SVG_DIMGREY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_DODGERBLUE_VALUE

          public static final String SVG_DODGERBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_FIREBRICK_VALUE

          public static final String SVG_FIREBRICK_VALUE

      See Also:
        Constant Field Values

    - #### SVG_FLORALWHITE_VALUE

          public static final String SVG_FLORALWHITE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_FORESTGREEN_VALUE

          public static final String SVG_FORESTGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_FUCHSIA_VALUE

          public static final String SVG_FUCHSIA_VALUE

      See Also:
        Constant Field Values

    - #### SVG_GAINSBORO_VALUE

          public static final String SVG_GAINSBORO_VALUE

      See Also:
        Constant Field Values

    - #### SVG_GHOSTWHITE_VALUE

          public static final String SVG_GHOSTWHITE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_GOLDENROD_VALUE

          public static final String SVG_GOLDENROD_VALUE

      See Also:
        Constant Field Values

    - #### SVG_GOLD_VALUE

          public static final String SVG_GOLD_VALUE

      See Also:
        Constant Field Values

    - #### SVG_GRAY_VALUE

          public static final String SVG_GRAY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_GREENYELLOW_VALUE

          public static final String SVG_GREENYELLOW_VALUE

      See Also:
        Constant Field Values

    - #### SVG_GREEN_VALUE

          public static final String SVG_GREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_GREY_VALUE

          public static final String SVG_GREY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_HONEYDEW_VALUE

          public static final String SVG_HONEYDEW_VALUE

      See Also:
        Constant Field Values

    - #### SVG_HOTPINK_VALUE

          public static final String SVG_HOTPINK_VALUE

      See Also:
        Constant Field Values

    - #### SVG_INDIANRED_VALUE

          public static final String SVG_INDIANRED_VALUE

      See Also:
        Constant Field Values

    - #### SVG_INDIGO_VALUE

          public static final String SVG_INDIGO_VALUE

      See Also:
        Constant Field Values

    - #### SVG_IVORY_VALUE

          public static final String SVG_IVORY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_KHAKI_VALUE

          public static final String SVG_KHAKI_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LAVENDERBLUSH_VALUE

          public static final String SVG_LAVENDERBLUSH_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LAVENDER_VALUE

          public static final String SVG_LAVENDER_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LAWNGREEN_VALUE

          public static final String SVG_LAWNGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LEMONCHIFFON_VALUE

          public static final String SVG_LEMONCHIFFON_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTBLUE_VALUE

          public static final String SVG_LIGHTBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTCORAL_VALUE

          public static final String SVG_LIGHTCORAL_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTCYAN_VALUE

          public static final String SVG_LIGHTCYAN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTGOLDENRODYELLOW_VALUE

          public static final String SVG_LIGHTGOLDENRODYELLOW_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTGRAY_VALUE

          public static final String SVG_LIGHTGRAY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTGREEN_VALUE

          public static final String SVG_LIGHTGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTGREY_VALUE

          public static final String SVG_LIGHTGREY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTPINK_VALUE

          public static final String SVG_LIGHTPINK_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTSALMON_VALUE

          public static final String SVG_LIGHTSALMON_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTSEAGREEN_VALUE

          public static final String SVG_LIGHTSEAGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTSKYBLUE_VALUE

          public static final String SVG_LIGHTSKYBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTSLATEGRAY_VALUE

          public static final String SVG_LIGHTSLATEGRAY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTSLATEGREY_VALUE

          public static final String SVG_LIGHTSLATEGREY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTSTEELBLUE_VALUE

          public static final String SVG_LIGHTSTEELBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIGHTYELLOW_VALUE

          public static final String SVG_LIGHTYELLOW_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIMEGREEN_VALUE

          public static final String SVG_LIMEGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LIME_VALUE

          public static final String SVG_LIME_VALUE

      See Also:
        Constant Field Values

    - #### SVG_LINEN_VALUE

          public static final String SVG_LINEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MAGENTA_VALUE

          public static final String SVG_MAGENTA_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MAROON_VALUE

          public static final String SVG_MAROON_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MEDIUMAQUAMARINE_VALUE

          public static final String SVG_MEDIUMAQUAMARINE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MEDIUMBLUE_VALUE

          public static final String SVG_MEDIUMBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MEDIUMORCHID_VALUE

          public static final String SVG_MEDIUMORCHID_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MEDIUMPURPLE_VALUE

          public static final String SVG_MEDIUMPURPLE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MEDIUMSEAGREEN_VALUE

          public static final String SVG_MEDIUMSEAGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MEDIUMSLATEBLUE_VALUE

          public static final String SVG_MEDIUMSLATEBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MEDIUMSPRINGGREEN_VALUE

          public static final String SVG_MEDIUMSPRINGGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MEDIUMTURQUOISE_VALUE

          public static final String SVG_MEDIUMTURQUOISE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MEDIUMVIOLETRED_VALUE

          public static final String SVG_MEDIUMVIOLETRED_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MIDNIGHTBLUE_VALUE

          public static final String SVG_MIDNIGHTBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MINTCREAM_VALUE

          public static final String SVG_MINTCREAM_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MISTYROSE_VALUE

          public static final String SVG_MISTYROSE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_MOCCASIN_VALUE

          public static final String SVG_MOCCASIN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_NAVAJOWHITE_VALUE

          public static final String SVG_NAVAJOWHITE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_NAVY_VALUE

          public static final String SVG_NAVY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_OLDLACE_VALUE

          public static final String SVG_OLDLACE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_OLIVEDRAB_VALUE

          public static final String SVG_OLIVEDRAB_VALUE

      See Also:
        Constant Field Values

    - #### SVG_OLIVE_VALUE

          public static final String SVG_OLIVE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_ORANGERED_VALUE

          public static final String SVG_ORANGERED_VALUE

      See Also:
        Constant Field Values

    - #### SVG_ORANGE_VALUE

          public static final String SVG_ORANGE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_ORCHID_VALUE

          public static final String SVG_ORCHID_VALUE

      See Also:
        Constant Field Values

    - #### SVG_PALEGOLDENROD_VALUE

          public static final String SVG_PALEGOLDENROD_VALUE

      See Also:
        Constant Field Values

    - #### SVG_PALEGREEN_VALUE

          public static final String SVG_PALEGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_PALETURQUOISE_VALUE

          public static final String SVG_PALETURQUOISE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_PALEVIOLETRED_VALUE

          public static final String SVG_PALEVIOLETRED_VALUE

      See Also:
        Constant Field Values

    - #### SVG_PAPAYAWHIP_VALUE

          public static final String SVG_PAPAYAWHIP_VALUE

      See Also:
        Constant Field Values

    - #### SVG_PEACHPUFF_VALUE

          public static final String SVG_PEACHPUFF_VALUE

      See Also:
        Constant Field Values

    - #### SVG_PERU_VALUE

          public static final String SVG_PERU_VALUE

      See Also:
        Constant Field Values

    - #### SVG_PINK_VALUE

          public static final String SVG_PINK_VALUE

      See Also:
        Constant Field Values

    - #### SVG_PLUM_VALUE

          public static final String SVG_PLUM_VALUE

      See Also:
        Constant Field Values

    - #### SVG_POWDERBLUE_VALUE

          public static final String SVG_POWDERBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_PURPLE_VALUE

          public static final String SVG_PURPLE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_RED_VALUE

          public static final String SVG_RED_VALUE

      See Also:
        Constant Field Values

    - #### SVG_ROSYBROWN_VALUE

          public static final String SVG_ROSYBROWN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_ROYALBLUE_VALUE

          public static final String SVG_ROYALBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SADDLEBROWN_VALUE

          public static final String SVG_SADDLEBROWN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SALMON_VALUE

          public static final String SVG_SALMON_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SANDYBROWN_VALUE

          public static final String SVG_SANDYBROWN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SEAGREEN_VALUE

          public static final String SVG_SEAGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SEASHELL_VALUE

          public static final String SVG_SEASHELL_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SIENNA_VALUE

          public static final String SVG_SIENNA_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SILVER_VALUE

          public static final String SVG_SILVER_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SKYBLUE_VALUE

          public static final String SVG_SKYBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SLATEBLUE_VALUE

          public static final String SVG_SLATEBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SLATEGRAY_VALUE

          public static final String SVG_SLATEGRAY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SLATEGREY_VALUE

          public static final String SVG_SLATEGREY_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SNOW_VALUE

          public static final String SVG_SNOW_VALUE

      See Also:
        Constant Field Values

    - #### SVG_SPRINGGREEN_VALUE

          public static final String SVG_SPRINGGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_STEELBLUE_VALUE

          public static final String SVG_STEELBLUE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_TAN_VALUE

          public static final String SVG_TAN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_TEAL_VALUE

          public static final String SVG_TEAL_VALUE

      See Also:
        Constant Field Values

    - #### SVG_THISTLE_VALUE

          public static final String SVG_THISTLE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_TOMATO_VALUE

          public static final String SVG_TOMATO_VALUE

      See Also:
        Constant Field Values

    - #### SVG_TURQUOISE_VALUE

          public static final String SVG_TURQUOISE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_VIOLET_VALUE

          public static final String SVG_VIOLET_VALUE

      See Also:
        Constant Field Values

    - #### SVG_WHEAT_VALUE

          public static final String SVG_WHEAT_VALUE

      See Also:
        Constant Field Values

    - #### SVG_WHITESMOKE_VALUE

          public static final String SVG_WHITESMOKE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_WHITE_VALUE

          public static final String SVG_WHITE_VALUE

      See Also:
        Constant Field Values

    - #### SVG_YELLOWGREEN_VALUE

          public static final String SVG_YELLOWGREEN_VALUE

      See Also:
        Constant Field Values

    - #### SVG_YELLOW_VALUE

          public static final String SVG_YELLOW_VALUE

      See Also:
        Constant Field Values

    - #### ALICEBLUE_COLOR

          public static final Color ALICEBLUE_COLOR

    - #### ANTIQUEWHITE_COLOR

          public static final Color ANTIQUEWHITE_COLOR

    - #### AQUA_COLOR

          public static final Color AQUA_COLOR

    - #### AQUAMARINE_COLOR

          public static final Color AQUAMARINE_COLOR

    - #### AZURE_COLOR

          public static final Color AZURE_COLOR

    - #### BEIGE_COLOR

          public static final Color BEIGE_COLOR

    - #### BISQUE_COLOR

          public static final Color BISQUE_COLOR

    - #### BLACK_COLOR

          public static final Color BLACK_COLOR

    - #### BLANCHEDALMOND_COLOR

          public static final Color BLANCHEDALMOND_COLOR

    - #### BLUE_COLOR

          public static final Color BLUE_COLOR

    - #### BLUE_VIOLET_COLOR

          public static final Color BLUE_VIOLET_COLOR

    - #### BROWN_COLOR

          public static final Color BROWN_COLOR

    - #### BURLYWOOD_COLOR

          public static final Color BURLYWOOD_COLOR

    - #### CADETBLUE_COLOR

          public static final Color CADETBLUE_COLOR

    - #### CHARTREUSE_COLOR

          public static final Color CHARTREUSE_COLOR

    - #### CHOCOLATE_COLOR

          public static final Color CHOCOLATE_COLOR

    - #### CORAL_COLOR

          public static final Color CORAL_COLOR

    - #### CORNFLOWERBLUE_COLOR

          public static final Color CORNFLOWERBLUE_COLOR

    - #### CORNSILK_COLOR

          public static final Color CORNSILK_COLOR

    - #### CRIMSON_COLOR

          public static final Color CRIMSON_COLOR

    - #### CYAN_COLOR

          public static final Color CYAN_COLOR

    - #### DARKBLUE_COLOR

          public static final Color DARKBLUE_COLOR

    - #### DARKCYAN_COLOR

          public static final Color DARKCYAN_COLOR

    - #### DARKGOLDEN_ROD_COLOR

          public static final Color DARKGOLDEN_ROD_COLOR

    - #### DARKGRAY_COLOR

          public static final Color DARKGRAY_COLOR

    - #### DARKGREEN_COLOR

          public static final Color DARKGREEN_COLOR

    - #### DARKGREY_COLOR

          public static final Color DARKGREY_COLOR

    - #### DARKKHAKI_COLOR

          public static final Color DARKKHAKI_COLOR

    - #### DARKMAGENTA_COLOR

          public static final Color DARKMAGENTA_COLOR

    - #### DARKOLIVEGREEN_COLOR

          public static final Color DARKOLIVEGREEN_COLOR

    - #### DARKORANGE_COLOR

          public static final Color DARKORANGE_COLOR

    - #### DARKORCHID_COLOR

          public static final Color DARKORCHID_COLOR

    - #### DARKRED_COLOR

          public static final Color DARKRED_COLOR

    - #### DARKSALMON_COLOR

          public static final Color DARKSALMON_COLOR

    - #### DARKSEAGREEN_COLOR

          public static final Color DARKSEAGREEN_COLOR

    - #### DARKSLATEBLUE_COLOR

          public static final Color DARKSLATEBLUE_COLOR

    - #### DARKSLATEGRAY_COLOR

          public static final Color DARKSLATEGRAY_COLOR

    - #### DARKSLATEGREY_COLOR

          public static final Color DARKSLATEGREY_COLOR

    - #### DARKTURQUOISE_COLOR

          public static final Color DARKTURQUOISE_COLOR

    - #### DARKVIOLET_COLOR

          public static final Color DARKVIOLET_COLOR

    - #### DEEPPINK_COLOR

          public static final Color DEEPPINK_COLOR

    - #### DEEPSKYBLUE_COLOR

          public static final Color DEEPSKYBLUE_COLOR

    - #### DIMGRAY_COLOR

          public static final Color DIMGRAY_COLOR

    - #### DIMGREY_COLOR

          public static final Color DIMGREY_COLOR

    - #### DODGERBLUE_COLOR

          public static final Color DODGERBLUE_COLOR

    - #### FIREBRICK_COLOR

          public static final Color FIREBRICK_COLOR

    - #### FLORALWHITE_COLOR

          public static final Color FLORALWHITE_COLOR

    - #### FORESTGREEN_COLOR

          public static final Color FORESTGREEN_COLOR

    - #### FUCHSIA_COLOR

          public static final Color FUCHSIA_COLOR

    - #### GAINSBORO_COLOR

          public static final Color GAINSBORO_COLOR

    - #### GHOSTWHITE_COLOR

          public static final Color GHOSTWHITE_COLOR

    - #### GOLDENROD_COLOR

          public static final Color GOLDENROD_COLOR

    - #### GOLD_COLOR

          public static final Color GOLD_COLOR

    - #### GRAY_COLOR

          public static final Color GRAY_COLOR

    - #### GREENYELLOW_COLOR

          public static final Color GREENYELLOW_COLOR

    - #### GREEN_COLOR

          public static final Color GREEN_COLOR

    - #### GREY_COLOR

          public static final Color GREY_COLOR

    - #### HONEYDEW_COLOR

          public static final Color HONEYDEW_COLOR

    - #### HOTPINK_COLOR

          public static final Color HOTPINK_COLOR

    - #### INDIANRED_COLOR

          public static final Color INDIANRED_COLOR

    - #### INDIGO_COLOR

          public static final Color INDIGO_COLOR

    - #### IVORY_COLOR

          public static final Color IVORY_COLOR

    - #### KHAKI_COLOR

          public static final Color KHAKI_COLOR

    - #### LAVENDERBLUSH_COLOR

          public static final Color LAVENDERBLUSH_COLOR

    - #### LAVENDER_COLOR

          public static final Color LAVENDER_COLOR

    - #### LAWNGREEN_COLOR

          public static final Color LAWNGREEN_COLOR

    - #### LEMONCHIFFON_COLOR

          public static final Color LEMONCHIFFON_COLOR

    - #### LIGHTBLUE_COLOR

          public static final Color LIGHTBLUE_COLOR

    - #### LIGHTCORAL_COLOR

          public static final Color LIGHTCORAL_COLOR

    - #### LIGHTCYAN_COLOR

          public static final Color LIGHTCYAN_COLOR

    - #### LIGHTGOLDENRODYELLOW_COLOR

          public static final Color LIGHTGOLDENRODYELLOW_COLOR

    - #### LIGHTGRAY_COLOR

          public static final Color LIGHTGRAY_COLOR

    - #### LIGHTGREEN_COLOR

          public static final Color LIGHTGREEN_COLOR

    - #### LIGHTGREY_COLOR

          public static final Color LIGHTGREY_COLOR

    - #### LIGHTPINK_COLOR

          public static final Color LIGHTPINK_COLOR

    - #### LIGHTSALMON_COLOR

          public static final Color LIGHTSALMON_COLOR

    - #### LIGHTSEAGREEN_COLOR

          public static final Color LIGHTSEAGREEN_COLOR

    - #### LIGHTSKYBLUE_COLOR

          public static final Color LIGHTSKYBLUE_COLOR

    - #### LIGHTSLATEGRAY_COLOR

          public static final Color LIGHTSLATEGRAY_COLOR

    - #### LIGHTSLATEGREY_COLOR

          public static final Color LIGHTSLATEGREY_COLOR

    - #### LIGHTSTEELBLUE_COLOR

          public static final Color LIGHTSTEELBLUE_COLOR

    - #### LIGHTYELLOW_COLOR

          public static final Color LIGHTYELLOW_COLOR

    - #### LIMEGREEN_COLOR

          public static final Color LIMEGREEN_COLOR

    - #### LIME_COLOR

          public static final Color LIME_COLOR

    - #### LINEN_COLOR

          public static final Color LINEN_COLOR

    - #### MAGENTA_COLOR

          public static final Color MAGENTA_COLOR

    - #### MAROON_COLOR

          public static final Color MAROON_COLOR

    - #### MEDIUMAQUAMARINE_COLOR

          public static final Color MEDIUMAQUAMARINE_COLOR

    - #### MEDIUMBLUE_COLOR

          public static final Color MEDIUMBLUE_COLOR

    - #### MEDIUMORCHID_COLOR

          public static final Color MEDIUMORCHID_COLOR

    - #### MEDIUMPURPLE_COLOR

          public static final Color MEDIUMPURPLE_COLOR

    - #### MEDIUMSEAGREEN_COLOR

          public static final Color MEDIUMSEAGREEN_COLOR

    - #### MEDIUMSLATEBLUE_COLOR

          public static final Color MEDIUMSLATEBLUE_COLOR

    - #### MEDIUMSPRINGGREEN_COLOR

          public static final Color MEDIUMSPRINGGREEN_COLOR

    - #### MEDIUMTURQUOISE_COLOR

          public static final Color MEDIUMTURQUOISE_COLOR

    - #### MEDIUMVIOLETRED_COLOR

          public static final Color MEDIUMVIOLETRED_COLOR

    - #### MIDNIGHTBLUE_COLOR

          public static final Color MIDNIGHTBLUE_COLOR

    - #### MINTCREAM_COLOR

          public static final Color MINTCREAM_COLOR

    - #### MISTYROSE_COLOR

          public static final Color MISTYROSE_COLOR

    - #### MOCCASIN_COLOR

          public static final Color MOCCASIN_COLOR

    - #### NAVAJOWHITE_COLOR

          public static final Color NAVAJOWHITE_COLOR

    - #### NAVY_COLOR

          public static final Color NAVY_COLOR

    - #### OLDLACE_COLOR

          public static final Color OLDLACE_COLOR

    - #### OLIVEDRAB_COLOR

          public static final Color OLIVEDRAB_COLOR

    - #### OLIVE_COLOR

          public static final Color OLIVE_COLOR

    - #### ORANGERED_COLOR

          public static final Color ORANGERED_COLOR

    - #### ORANGE_COLOR

          public static final Color ORANGE_COLOR

    - #### ORCHID_COLOR

          public static final Color ORCHID_COLOR

    - #### PALEGOLDENROD_COLOR

          public static final Color PALEGOLDENROD_COLOR

    - #### PALEGREEN_COLOR

          public static final Color PALEGREEN_COLOR

    - #### PALETURQUOISE_COLOR

          public static final Color PALETURQUOISE_COLOR

    - #### PALEVIOLETRED_COLOR

          public static final Color PALEVIOLETRED_COLOR

    - #### PAPAYAWHIP_COLOR

          public static final Color PAPAYAWHIP_COLOR

    - #### PEACHPUFF_COLOR

          public static final Color PEACHPUFF_COLOR

    - #### PERU_COLOR

          public static final Color PERU_COLOR

    - #### PINK_COLOR

          public static final Color PINK_COLOR

    - #### PLUM_COLOR

          public static final Color PLUM_COLOR

    - #### POWDERBLUE_COLOR

          public static final Color POWDERBLUE_COLOR

    - #### PURPLE_COLOR

          public static final Color PURPLE_COLOR

    - #### RED_COLOR

          public static final Color RED_COLOR

    - #### ROSYBROWN_COLOR

          public static final Color ROSYBROWN_COLOR

    - #### ROYALBLUE_COLOR

          public static final Color ROYALBLUE_COLOR

    - #### SADDLEBROWN_COLOR

          public static final Color SADDLEBROWN_COLOR

    - #### SALMON_COLOR

          public static final Color SALMON_COLOR

    - #### SANDYBROWN_COLOR

          public static final Color SANDYBROWN_COLOR

    - #### SEAGREEN_COLOR

          public static final Color SEAGREEN_COLOR

    - #### SEASHELL_COLOR

          public static final Color SEASHELL_COLOR

    - #### SIENNA_COLOR

          public static final Color SIENNA_COLOR

    - #### SILVER_COLOR

          public static final Color SILVER_COLOR

    - #### SKYBLUE_COLOR

          public static final Color SKYBLUE_COLOR

    - #### SLATEBLUE_COLOR

          public static final Color SLATEBLUE_COLOR

    - #### SLATEGRAY_COLOR

          public static final Color SLATEGRAY_COLOR

    - #### SLATEGREY_COLOR

          public static final Color SLATEGREY_COLOR

    - #### SNOW_COLOR

          public static final Color SNOW_COLOR

    - #### SPRINGGREEN_COLOR

          public static final Color SPRINGGREEN_COLOR

    - #### STEELBLUE_COLOR

          public static final Color STEELBLUE_COLOR

    - #### TAN_COLOR

          public static final Color TAN_COLOR

    - #### TEAL_COLOR

          public static final Color TEAL_COLOR

    - #### THISTLE_COLOR

          public static final Color THISTLE_COLOR

    - #### TOMATO_COLOR

          public static final Color TOMATO_COLOR

    - #### TURQUOISE_COLOR

          public static final Color TURQUOISE_COLOR

    - #### VIOLET_COLOR

          public static final Color VIOLET_COLOR

    - #### WHEAT_COLOR

          public static final Color WHEAT_COLOR

    - #### WHITESMOKE_COLOR

          public static final Color WHITESMOKE_COLOR

    - #### WHITE_COLOR

          public static final Color WHITE_COLOR

    - #### YELLOWGREEN_COLOR

          public static final Color YELLOWGREEN_COLOR

    - #### YELLOW_COLOR

          public static final Color YELLOW_COLOR

    - #### KEYWORD_MAP

          protected static final Map<String,​Color> KEYWORD_MAP

  - ### Constructor Detail

    - #### ColorConvertion

          public ColorConvertion()

  - ### Method Detail

    - #### getColor

          public static final Color getColor​(String colorKeyword)

      Return the equivalent AWT `Color` of the supplied SVG color keyword
      Parameters:
        `colorKeyword` - SVG Color Keyword
      Returns:
        the AWT `Color`

    - #### getColor

          public static final Color getColor​(org.w3c.dom.svg.SVGColor svgColor)

      Return the equivalent AWT Color of the supplied SVGColor
      Parameters:
        `svgColor` - SVGColor
      Returns:
        the AWT`Color` or `null`

    - #### hexStringToColor

          public static final Color hexStringToColor​(String hexString)

      Return the equivalent AWT`Color` of the supplied hexString in format eg #FF33D2
      Parameters:
        `hexString` - Color in hexString format eg: #FF33D2
      Returns:
        the AWT`Color`

    - #### toSVGString

          @Deprecated
          public static String toSVGString​(Color color,
                                           boolean hexFormat)

      Deprecated.
      replaced by `colorToString(Color,boolean)`
      Return the equivalent svg color String of the supplied AWT color
      Parameters:
        `color` - AWT`Color`
        `hexFormat` - whether the returned string is in hex format (eg, #ff05c4) or rgb format (eg, rgb(0,0,255) )
      Returns:
        the equivalent svg color String of the supplied AWT color or null

    - #### colorToString

          public static String colorToString​(Color color,
                                             boolean hexFormat)

      Return the equivalent svg color String of the supplied AWT color
      Parameters:
        `color` - AWT`Color`
        `hexFormat` - whether the returned string is in hex format (eg, #ff05c4) or rgb format (eg, rgb(0,0,255) )
      Returns:
        the equivalent svg color String of the supplied AWT color or null

    - #### toHexString

          public static String toHexString​(Color color)

      Return the hex string for the supplied`Color`
      Parameters:
        `color` - AWT`Color`
      Returns:
        the hex string for the supplied`Color`